Subject: Re: [PATCH][BNX2]: Disable MSI on 5706 if AMD 8132 bridge is present

From: "Michael Chan" <[email-masked]>
Date: Sat, 30 Sep 2006 11:09:46 -0700

On Sat, 2006-09-30 at 12:13 +0200, Brice Goglin wrote:

> What if the machine has such a bridge and board, but the board is not
> actually located somewhere behind the bridge? I would rather walk the
> PCI hierarchy from the board to the top and check whether we find a
> AMD8132. Probably something like:
> 

I have considered that.  I have PCI walking code like in tg3 to
determine if certain tg3 devices are behind some ICH or ServerWorks EPB
bridges.  The workaround needed in those cases have big impact on
performance and therefore it is important to determine exactly when to
apply those workarounds.

Here in this case, since the difference in performance between MSI and
INTA is very minor and almost negligible in a lot of cases, I decided to
keep it simple and just check for the presence of the 8132.